Bug 28001 - [Android] TabbedPage: invisible tabs are not Disposed
Summary: [Android] TabbedPage: invisible tabs are not Disposed
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.4.0
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-03-13 05:42 UTC by Michael Rumpler
Modified: 2015-06-25 14:02 UTC (History)
5 users (show)

Tags: android tabbed page memory ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Michael Rumpler 2015-03-13 05:42:31 UTC
When you open a TabbedPage on Android, only the elements on the visible tab are instantiated.
If you switch the tabs, elements from previously visible tabs remain in memory.

If you now navigate back and close the entire TabbedPage, then only the renderers of the elements on the currently visible page are disposed of. The Dispose method of renderers on currently invisible tabs is not called.

On iOS Dispose is called also for elements on invisible tabs. On Windows Phone the renderers don't implement IDisposable. I created a separate bug for that (https://bugzilla.xamarin.com/show_bug.cgi?id=27451).
Comment 1 Rui Marinho 2015-06-01 14:27:34 UTC
Should be fixed 1.4.3 final.